import { Libp2p } from '@cerc-io/libp2p';
import { PeerIdObj } from './peer.js';
export interface RelayNodeInitConfig {
    host: string;
    port: number;
    peerIdObj?: PeerIdObj;
    announceDomain?: string;
    relayPeers: string[];
    denyMultiaddrs: string[];
    dialTimeout: number;
    pingInterval: number;
    pingTimeout?: number;
    redialInterval: number;
    maxDialRetry: number;
    enableDebugInfo?: boolean;
}
export declare function createRelayNode(init: RelayNodeInitConfig): Promise<Libp2p>;
